--- 

- hosts: webservers
  vars:
    http_port: 80
  tasks:
  - name: ensure nginx is at the latest version
    apt:
      name: nginx
      state: latest
  - name: write the apache config file
    template:
      src: templates/nginx/default.j2
      dest: /etc/nginx/sites-available/default
    notify:
    - restart nginx
  - name: ensure nginx is running
    service:
      name: nginx
      state: started
  handlers:
    - name: restart nginx
      service:
        name: nginx
        state: restarted
